package com.jianshui.storage.service;

import com.jianshui.common.core.domain.AjaxResult;

/**
 * @Description 基础抽象类
 * @Author 巩权林
 * @Date 2022-09-15 11:46
 **/
public abstract class StorageBaseAbstractService implements IStorageService {

    /**
     * 初始化后的各单例
     */
    protected Object storageInstance;

    protected boolean hasInit;

    /**
     * 初始化
     */
    public void initInstance() {
        if (this.hasInit) {
            return;
        }

        try {
            init();
        } catch (Exception e) {
            e.printStackTrace();
            return;
        }
        this.hasInit = true;
    }


    /**
     * 初始化
     *
     * @return
     */
    abstract public AjaxResult init();

}
